package com.videonext.mplayer.api.events;

import com.videonext.mplayer.api.ControllerEvent;

public class StreamStatEvent extends ControllerEvent {

	private static final long serialVersionUID = 1L;

	private long bandwidth; /// in KB/s
	private long jitter;    /// in microseconds
	private long qFactor ;  ///
	
	public StreamStatEvent(Object source, long bandwidth, long jitter, long qFactor) {
		super(source);
		
		this.bandwidth = bandwidth;
		this.jitter    = jitter;
		this.qFactor   = qFactor;
	}

	public long getBandwidth() {
		return bandwidth;
	}

	public void setBandwidth(long bandwidth) {
		this.bandwidth = bandwidth;
	}

	public long getJitter() {
		return jitter;
	}

	public void setJitter(long jitter) {
		this.jitter = jitter;
	}

	public long getqFactor() {
		return qFactor;
	}

	public void setqFactor(long qFactor) {
		this.qFactor = qFactor;
	}

}
